void test(){
    RooTrace::active(kTRUE);
    RooTrace::mark();

    RooRealVar x("x","x",-10,10);
    RooDataSet d("d","d",RooArgSet(x));
    RooRealVar s("s","s",1,1,10);
    RooRealVar m("m","m",0,-10,10);
    RooGaussian g("gauss","gauss(x,m,s)",x,m,s);
    RooPlot *f=x.frame();
    for (Int_t j=0; j<300; ++j){
        x.setVal(gRandom->Gaus(0,1));
        d.add(x);
    }
    for (Int_t i=0; i<10; i++) {
        cout << "\n------------------------------\nStart iteration " << i << endl;

        cout << "Before fitting" << endl;
        RooTrace::printObjectCounts();

        g.fitTo(d,RooFit::PrintLevel(-1));//,RooFit::SumW2Error(true),RooFit::BatchMode(true));
        cout << "After fitting" << endl;
        RooTrace::printObjectCounts();

        ////d.plotOn(f);
        ////g.plotOn(f);
        //d.reset();
        //f->Clear();
    }
}

